## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XPathConstructionContext Class Reference

`#include <XPathConstructionContext.hpp>`

Inheritance diagram for XPathConstructionContext

List of all members.

## Public Methods

- XPathConstructionContext ()
- virtual ~XPathConstructionContext ()
- virtual void reset () = 0
    Reset the instance. More...
- virtual const XalanDOMString& getPooledString (const XalanDOMString& theString) = 0
    Get a pooled string given the source string. More...
- virtual const XalanDOMString& getPooledString ( const XalanDOMChar* theString, XalanDOMString::size_type theLength = XalanDOMString::npos) = 0
    Get a pooled string given the source character array. More...
- virtual XalanDOMString& getCachedString () = 0
    Get a cached string for temporary use. More...
- virtual bool releaseCachedString (XalanDOMString& theString) = 0
    Return a cached string. More...

## Constructor & Destructor Documentation

XPathConstructionContext::XPathConstructionContext ( | )

virtual XPathConstructionContext::~XPathConstructionContext ( | )`[virtual]`

## Member Function Documentation

XalanDOMString & XPathConstructionContext::getCachedString ( | )`[pure virtual]`

Get a cached string for temporary use.

Returns:
  A reference to the string

Reimplemented in StylesheetConstructionContext, StylesheetConstructionContextDefault, and XPathConstructionContextDefault.

const XalanDOMString & XPathConstructionContext::getPooledString ( | const XalanDOMChar * theString,
| XalanDOMString::size_type theLength = XalanDOMString::npos )`[pure virtual]`

Get a pooled string given the source character array.

If the string already exists in the pool, no copy will be made. If not, a copy will be made and kept for later use.

Parameters:

  theString | The source character array
  theLength | The length of the character array

Returns:
  a const reference to a pooled string.

Reimplemented in StylesheetConstructionContext, StylesheetConstructionContextDefault, and XPathConstructionContextDefault.

const XalanDOMString & XPathConstructionContext::getPooledString ( | const XalanDOMString & theString )`[pure virtual]`

Get a pooled string given the source string.

If the string already exists in the pool, no copy will be made. If not, a copy will be made and kept for later use.

Parameters:

  theString | The source string

Returns:
  a const reference to a pooled string.

Reimplemented in StylesheetConstructionContext, StylesheetConstructionContextDefault, and XPathConstructionContextDefault.

bool XPathConstructionContext::releaseCachedString ( | XalanDOMString & theString )`[pure virtual]`

Return a cached string.

Parameters:

  theString | The string to release.

Returns:
  true if the string was released successfully.

Reimplemented in StylesheetConstructionContext, StylesheetConstructionContextDefault, and XPathConstructionContextDefault.

void XPathConstructionContext::reset ( | )`[pure virtual]`

Reset the instance.

Any existing objects created by the instance will be destroyed.

Reimplemented in StylesheetConstructionContext, StylesheetConstructionContextDefault, and XPathConstructionContextDefault.

The documentation for this class was generated from the following file:

- XPathConstructionContext.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.